npm

npmは、Node Packaged Modulesの略。Node.jsのライブラリ・パッケージを管理できるツールです。様々なモジュールを簡単にインストールでき、自分でモジュールを作成し公開する際にも使用できます。

RSS

  • 解決済

    回答
    1

    npm run watch 時にERR! Windows_NT 6.3.9600

    問題点 laravel5.4を使用し、Vue.jsを使用したいと思い、コンパイルのためのnpm run watch をしようとしたところ、ERR! Windows_NT 6.3.9600 がでていて困っています。 package.jsonにはこちらを参考に、↓の様に書きました。 "scripts": { "dev": "node node_m

    • 0評価
    • 22PV
    tonari tonari 9時間前に コメント
  • 受付中

    回答
    1

    npm proxy設定の削除ができない

    ターミナルを起動すると、はじめに Last login: Wed Jul 19 16:48:03 on ttys000 npm WARN invalid config proxy="https-proxy=http://proxy.xxx.jp:8080/" npm WARN invalid config Must be a full url with

    • 0評価
    • 56PV
    _hiro _hiro 1日前に 回答
  • 受付中

    回答
    1

    node.jsをアンインストールしたい

    前提・実現したいこと 以前いれたnodejsのバージョンが古いので、この際nodebrewでバージョン管理をしようと思い、まずは現在インストールされているnodejsをアンインストールしたいです 発生している問題・エラーメッセージ アンインストールするためにこちらの記事を参考にしました。 記事内にもあるように、以下のコマンドを実行したところエラーがでまし

    • 0評価
    • 82PV
    fiwa fiwa 1日前に 回答
  • 解決済

    回答
    1

    ubuntu16.04 にて,npmがMemory不足で落ちる.node@v4.2.6, npm@3...

    症状 npmを実行しようとするとメモリ不足で落ちる. nodenvで最新versionのnode及び,npmをインストールしてもだめでした. $ npm Error: ENOMEM: not enough memory, scandir '/home/maxmellon' at Error (native) 環境 freeコマンドでメモリを確

    • 0評価
    • 19PV
    MaxMellon MaxMellon 2日前に 回答
  • 解決済

    回答
    2

    npmを使ったモジュールインストール時にモジュールのダウンロードエラーが発生:ダウンロードのパスがお...

    npmを使ってとある開発環境でコーディングしたソースを別の開発環境にgit clone → npm installを行いました。ここで、エラーが出て前に進めずにおります。 環境は以下 CentOS release 6.7 node 6.11.0(6.10.3もトライ済み) npm 5.0.3(4.5.3もトライ済み) 怪しいなと思って

    • 0評価
    • 91PV
    ringoing888 ringoing888 4日前に 回答
  • 解決済

    回答
    1

    npm install bootstrap --saveでbootstrap.min.cssがインス...

    掲題の通り、npm install bootstrap --saveを入力しても bootstrap.cssはインストールされているのですが、その他の bootstrap.min.cssやbootstrap.min.jsなどがインストール出来ていません。 理由をご存知の方、教えてください。 お願いします。

    • 0評価
    • 21PV
    miiikun miiikun 5日前に コメント
  • 受付中

    回答
    0

    npmのキャッシュは勝手に貯まる?

    エラーが出たら、npm cache cleanで解決する理由は分かりますが、 例えば npm install -g モジュールなどで、勝手にそのモジュールはキャッシュに追加されてしますのでしょうか?

    • 0評価
    • 16PV
    teratailが6日前に アップデート
  • 受付中

    回答
    1

    npmでグローバルインストールしたパッケージをまとめて最新バージョンにするには?

    こちらを参考に-g オプションをつけてパッケージを複数インストールしました。-g オプションをつけた場合にパッケージをまとめて最新バージョンにするにはどうすれば良いのでしょうか?package.jsonを使うという方法が調べたところヒットしたのですが、package.jsonというファイルが見当たりませんでした。 どなたか、よろしくお願いします。

    • 0評価
    • 19PV
    katoy katoy 1週間前に 回答
  • 解決済

    回答
    1

    npm install 時に発生するエラーについて

    前提・実現したいこと npm install を使用して、gulp-sourcemaps をインストールしようとしたところ、以下のエラーが発生しました。 発生している問題・エラーメッセージ npm ERR! registry error parsing json npm ERR! Windows_NT 6.1.7601 npm ERR! argv

    • 0評価
    • 296PV
    KSwordOfHaste KSwordOfHaste 1週間前に ベストアンサー
  • 解決済

    回答
    1

    npm runすると、cross-env エラーがでる

    質問 node.js初心者です。Laravelでvue.jsを利用しようと、nodeを使ってビルドしようとしています。 Laravelプロジェクトで、npm run devを実行すると、エラーが出てしまって上手くコンパイルできません。 どなたかご助言いただけると嬉しいです。 環境 php -v 5.6.0(7系に変更予定) laravel -v

    • 0評価
    • 79PV
    KeisukeTaniai KeisukeTaniai 1週間前に コメント
  • 解決済

    回答
    1

    scssの未使用クラス、IDを削除したい

    前提・実現したいこと 複数のファイルで管理しているscssファイルの未使用クラスとIDを削除したく調査しておりました。 そこでそれらしきnpmパッケージがあったので実行してみたところ下記エラーが出てしまいました。 https://www.npmjs.com/package/sass-unused 発生している問題・エラーメッセージ /usr

    • 0評価
    • 435PV
    ruuusaamarki ruuusaamarki 1ヶ月前に ベストアンサー
  • 受付中

    回答
    0

    React Nativeの安定したバージョンを知りたい

    お世話になります。 React Nativeの勉強をしているのですが、 react-native-router-fluxを使おうと思うと、思うとエラーが出てしまうので、package.jsonのreactとreact-nativeのバージョンをダウングレードしているんですが、reactのバージョンを15にすると,React nativeのバージョンがreac

    • 0評価
    • 85PV
    teratailが1ヶ月前に アップデート
  • 受付中

    回答
    1

    React-Nativeのreact-native-router-fluxを入れるとエラーが出る

    お世話になります。 react-nativeを使っている方に質問です。 react-native-router-fluxをnpmでインストールし、プロジェクトを立ち上げようとするとエラーが出ます。(以下がそのエラー内容です) [exp] Failed to build DependencyGraph: @providesModule naming

    • 0評価
    • 90PV
    januswel januswel 1ヶ月前に 回答
  • 解決済

    回答
    1

    VSCode拡張機能の開発に必要な"types/node"パッケージがインストールできない

    Visual Studio Codeの拡張機能を開発しようとしています。Hello, Worldでつまづいているので質問させていただきたいと思います。 環境と状況 OS: Windows 10 npmバージョン:1.4.9 nodeバージョン:6.6.0 (node.jsはChocolateyによってインストールしました。)

    • 0評価
    • 191PV
    NumAniCloud NumAniCloud 1ヶ月前に コメント
  • 受付中

    回答
    1

    npmからgithubのリポジトリをとってくる

    npmからgithubのリポジトリをとる方法が分かりません。 package.jsonの書き方お願いします!

    • -1評価
    • 75PV
    KSwordOfHaste KSwordOfHaste 1ヶ月前に 回答
  • 解決済

    回答
    1

    gulpのエラーについて

    macでgulpのエラーが出ています。 エラー内容を調べるとnodeが7以上で起こるエラーのようで 下記のサイトを参考にnode_modules/を削除とトライしましたが、駄目でした。 どなたか原因が分かる方いらっしゃいますでしょうか。 https://www.d-wood.com/blog/2016/12/06_8577.html 発

    • 0評価
    • 131PV
    whoiswho whoiswho 1ヶ月前に ベストアンサー
  • 受付中

    回答
    0

    npmパッケージと依存関係の整理方法

    npmを使って色々なライブラリやプラグインを深く考えずにinstallしていくと、気がついた時には依存関係がごちゃつき、node_modulesが肥大化してしまいます。 これを整理整頓をしようとする時にみなさんはどうされていますか? 私は下記のような手順で作業しています。 $ npm outdated(更新確認) $ ncu(更新確認

    • 2評価
    • 165PV
    teratailが2ヶ月前に アップデート
  • 解決済

    回答
    1

    The package is included as both a dev and producti...

    npmを使用していて下記の警告が出ました。 npm WARN The package is included as both a dev and production dependency. devDependenciesとdependenciesの両方に同じパッケージが入ってしまっているよ…という警告だということまではわかるのですが、で

    • 0評価
    • 98PV
    hibikikudo hibikikudo 2ヶ月前に ベストアンサー
  • 解決済

    回答
    2

    create-react-native-appコマンドを使ったアプリを作る方法について

    お世話になります。 最近react-nativeでアプリを作る方法を探していて create-react-native-appというコマンドとEXPOというアプリを使えば 簡単にreact nativeアプリをビルド出来、かつリリースまで出来るという記事を読み試してみたのですが、開発環境自体はうまくいっているようなのですが、その際に出てくるQRコードを

    • 0評価
    • 192PV
    RyoM RyoM 2ヶ月前に コメント
  • 解決済

    回答
    1

    npm startができない!

    Angular2のチュートリアル中、突然npm startができなくなってしまいました。 コードが間違っているかと思ってexampleのコードと見比べるも異なる部分は見つからず、ならばと思いnpm startができた頃の状態にgit reset --hard HEADしてみましたが、それでも上手くいきません。エラーは $ npm start > a

    • 0評価
    • 146PV
    morimorimorio morimorimorio 2ヶ月前に 回答
1

タグ情報

  • あなたの順位

    -

  • タグ登録者数

    28

  • 総質問数

    90

  • 今週の質問数

    4

関連するタグ

思考するエンジニアのためのQ&Aサイト「teratail」について詳しく知る